Subject: Re: FYI: GNU Smalltalk 2.1.5 on Cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: Igor Pechtchanski <[email-masked]>
Date: Fri, 21 May 2004 16:28:37 +0200

Gerrit wrote:

> Igor wrote:

>> On Wed, 19 May 2004, tuin01 wrote:

>>> Concerning Cygwin dll: 1.5.9 (Complete install may 16, 2004)
>>> GNU Smalltalk version 2.1.5
>>> Windows XP (v 5.1) Professional SP1.
>>>
>>> In directory where I've unpacked the smalltalk source package.
>>> ./configure
>>>
>>> changed following files.
>>> 1.  smalltalk-2.1.5/i18n/i18n.c
>>>         - added  #include <windows.h>

>> I'm assuming this was for some typedefs or macros.  If they are standard
>> POSIX ones that are present in the Linux headers but missing in the Cygwin
>> ones, it'd be interesting to know.

I wonder why they define WIN32 if platform is Cygwin.  I try to remove
this and build without windows.h dependency and WIN32 defines.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/